Quantcast
Best OSX version for Logic 9 - Gearspace.com
The No.1 Website for Pro Audio
Best OSX version for Logic 9
Old 8th September 2012
  #1
Gear Addict
 
🎧 10 years
Best OSX version for Logic 9

Hello,

thinking about buying a new mac (iMac) and deciding between the current line and the one that will be release some time in the future.

What is the best OS for using Logic Pro 9 in your opinion? Snow Leopard, Lion or Mountain Lion?
on my current mac I use Snow Leopard and Lion and in terms of user interaction clearly prefer Lion over Snow Leopard - although Snow Leopard is a great OS and nothing speaks against using it. And AFAIK it is fully 64bit music software compatible ... (I am not mistaken, am I?) Have not used Mountain Lion yet.

I heard about some problems with Logic in Lion and Mountain Lion ... I used got the new version of Logic (used Logic 6 and 7 on my G5 .... and am at the moment not that deep into using it).
I now want to put together a system that can be used like that for a longer time - so, not really interested to go up to the newest for the moment. Of course I will have a Mountain Lion partition, but of course on a 2012 Mac I cannot use Snow Leopard, so I would need to get a 2011 Mac.

So, input would be great. What are your experiences?

Thanks

best
Old 8th September 2012
  #2
Lives for gear
 
ksandvik's Avatar
 
🎧 10 years
New Macs always ship with latest OS and won't even boot the old OSX versions.
Old 8th September 2012
  #3
Lives for gear
 
kgdrum_nyc's Avatar
 
🎧 15 years
Quote:
Originally Posted by ksandvik ➑️
New Macs always ship with latest OS and won't even boot the old OSX versions.
+1
Old 8th September 2012
  #4
Lives for gear
 
stevelindsay's Avatar
 
🎧 10 years
FWIW I found Snow Leopard to be the most stable with Logic 9.1.7 (after subsequently going through Lion/Mountain Lion and wishing I never had)....
Old 8th September 2012
  #5
Gear Nut
 
🎧 10 years
10.8.1 - totally unreliable
10.7 - Problems with aggregate device
10.6 - perfect!
Old 8th September 2012 | Show parent
  #6
Lives for gear
 
bambony's Avatar
 
🎧 10 years
Quote:
Originally Posted by luigichelli ➑️
10.8.1 - totally unreliable
10.7 - Problems with aggregate device
10.6 - perfect!
Thanks for that Luigi.

I am currently on 10.6.8 and Logic 9.1.7 and all is well here with no need to upgrade.

I do find it bizarre and annoying but not surprising how Apple force OS changes and limit hardware compatibility so aggressively. I would rather a more open approach but this is not the Apple way. Sometimes you get stuck with a less than optimal system which is frustrating.

Tony
Old 8th September 2012
  #7
Lives for gear
 
phas3d's Avatar
 
🎧 10 years
10.7.4 and Logic 9.1.7. Perfect here.
Old 8th September 2012
  #8
Lives for gear
 
valis's Avatar
 
1 Review written
🎧 15 years
Same as phas3d on the desktop, 10.6.8 & 9.1.7 on the laptop. Both systems are getting to the point where I can feel cpu burn so I'm not sure how much further I'll push them in terms of OS updates, but I don't feel that 10.7 is somehow inherently unstable. In fact I wonder how many of the problem users with newer OSes need to start fresh, combo update their way up and do the same for Logic (if not App-store based). I've been from 10.5.1 all the way to 10.7.4 on my Mac Pro 3,1 and skip migrating each time. I don't have the same concerns a large studio would have though in terms of legacy projects/plugins/settings/etc, but might suggest the same if someone else doesn't have large studio concerns and is having performance problems.
Old 8th September 2012
  #9
Lives for gear
 
phas3d's Avatar
 
🎧 10 years
Did a clean install on another partition to be safe. Still have 10.6.8 though.
Old 8th September 2012 | Show parent
  #10
Lives for gear
 
skira's Avatar
 
🎧 10 years
Quote:
Originally Posted by ksandvik ➑️
New Macs always ship with latest OS and won't even boot the old OSX versions.
+1
Old 8th September 2012 | Show parent
  #11
Gear Addict
 
🎧 10 years
Quote:
Originally Posted by ksandvik ➑️
New Macs always ship with latest OS and won't even boot the old OSX versions.
well, yes, sure .... did not express myself clearly - there are refurbished macs. Furthermore it should be possible to put a Snow Leopard image (with carbon copy cloner or whatever) onto a Mac (if it officially supports it) no matter with what this mac ships ....

and in terms of a current shipping iMac Snow Leopard should work, no?

So, question is - what is the best OS for Logic Pro 9

Concerning OS - in general Lion feels solid for me as well. I also did a fresh install when I stepped up. However, not sure about Lion and Logic ....

thanks
best
Old 8th September 2012 | Show parent
  #12
Lives for gear
 
skira's Avatar
 
🎧 10 years
Quote:
Originally Posted by steff3 ➑️
well, yes, sure .... did not express myself clearly - there are refurbished macs. Furthermore it should be possible to put a Snow Leopard image (with carbon copy cloner or whatever) onto a Mac (if it officially supports it) no matter with what this mac ships ....
For old Macs, yes. New Macs probably won't run SL, or run it well. Apple itself says:

Don't install a version of Mac OS X earlier than what came with your Mac

I'm still on SL, and it's generally considered the most stable for most current music apps, but plenty of people are doing fine on Lion. But 10.8 is still a work in progress for audio apps and some people (not all) are finding issues.
Old 8th September 2012
  #13
Lives for gear
 
phas3d's Avatar
 
🎧 10 years
Quote:
Originally Posted by steff3 ➑️

Concerning OS - in general Lion feels solid for me as well. I also did a fresh install when I stepped up. However, not sure about Lion and Logic ....

thanks
best
Been using it for 6 months. Using it with UAD-2, Komplete and some other plug-ins/VI's. Works like a clock. No issues at all.
Old 8th September 2012
  #14
Lives for gear
 
cinealta's Avatar
 
🎧 10 years
10.6.8 (highest rev of Snow Leopard) most stable. 9.1.7 is most stable Logic.
Old 9th September 2012
  #15
Lives for gear
 
phas3d's Avatar
 
🎧 10 years
10.7.4 has been as stable as 10.6.8. Used both and if installed clean they work well. I see no advantage in stability on 10.6.8 here.
Old 9th September 2012
  #16
Lives for gear
 
1 Review written
🎧 10 years
Quote:
Originally Posted by phas3d ➑️
10.7.4 has been as stable as 10.6.8. Used both and if installed clean they work well. I see no advantage in stability on 10.6.8 here.
Looks like ill finally move to 10.7,in hopes of a new logic x.

How many 32 bit Plugins are compatible with 10.7?


Sent from my PC36100
Old 9th September 2012
  #17
Lives for gear
 
valis's Avatar
 
1 Review written
🎧 15 years
Afaik any plugins compatible with 10.6 will be compatible with 10.7, as long as they have Intel (not PPC) code and support 10.5/10.6+. Your DAW of choice is where the bugs typically show up...
Old 9th September 2012
  #18
Lives for gear
 
1 Review written
🎧 10 years
Quote:
Originally Posted by valis ➑️
Afaik any plugins compatible with 10.6 will be compatible with 10.7, as long as they have Intel (not PPC) code and support 10.5/10.6+. Your DAW of choice is where the bugs typically show up...
Cheap shot but funny,thanks for the laugh...

Sent from my PC36100
Old 9th September 2012 | Show parent
  #19
Gear Nut
 
🎧 10 years
Quote:
Originally Posted by phas3d ➑️
10.7.4 has been as stable as 10.6.8. Used both and if installed clean they work well. I see no advantage in stability on 10.6.8 here.
for metric halo users (maybe other brads too...)
lion could have problems with aggregate device.

this is just an example:
https://discussions.apple.com/thread...art=0&tstart=0
Old 9th September 2012 | Show parent
  #20
Lives for gear
 
valis's Avatar
 
1 Review written
🎧 15 years
Quote:
Originally Posted by FLYINGJAY ➑️
Cheap shot but funny,thanks for the laugh...

Sent from my PC36100
Ah I actually didn't mean it that way, but I see what you mean. One thing I would not say about Cubase is that it's got more compatibility issues with plugins (compared to my choices of Logic & Live). After all the VST standard sort of started it all and with 32bit VSTs on windows I can use stuff back to the early days in my copy of Cubase. The host itself, or the device drivers for hardware as luigichelli suggests are also a consideration.
Old 9th September 2012
  #21
Lives for gear
 
1 Review written
🎧 10 years
Quote:
Originally Posted by valis ➑️
Ah I actually didn't mean it that way, but I see what you mean. One thing I would not say about Cubase is that it's got more compatibility issues with plugins (compared to my choices of Logic & Live). After all the VST standard sort of started it all and with 32bit VSTs on windows I can use stuff back to the early days in my copy of Cubase. The host itself, or the device drivers for hardware as luigichelli suggests are also a consideration.
Komplete 8 ultimate,waves complete 8,uad,Vcc,and emulator X3 are my most used Plugins and vi's,no issues at all.

Native instruments seem to be made for cubase,logic has sticking notes and other things going on.

Again logic x may be a vast improvement.cubase 7 will be out before then.

I still compose in logic due to ultra beats and the esx24.

Sent from my PC36100
Old 9th September 2012
  #22
Gear Addict
 
🎧 5 years
Another happy camper here with Logic Pro 9.1.7 under SL (v10.6.8). Rock stable so there is no need to upgrade.
Old 9th September 2012 | Show parent
  #23
Lives for gear
 
valis's Avatar
 
1 Review written
🎧 15 years
Quote:
Originally Posted by FLYINGJAY ➑️
Komplete 8 ultimate,waves complete 8,uad,Vcc,and emulator X3 are my most used Plugins and vi's,no issues at all.

Native instruments seem to be made for cubase,logic has sticking notes and other things going on.

Again logic x may be a vast improvement.cubase 7 will be out before then.

I still compose in logic due to ultra beats and the esx24.

Sent from my PC36100
Well I'm on Komplete 8 (been using Komplete since v3/4) and have no sticking notes issues in Logic, or in fact any issues really. Battery3 is starting to get a tad long in the tooth but I have no specific showstopping bugs I'm aware of, just some minor issues that relate as much to its workflow as anything else. I use Reaktor, Kontakt, FM8 and Massive in most of my projects and the only real "Logic" issue I have now that everything is 64bit is related to the core loading when switching into & out of "Live mode" for a NI hosted track.
Old 9th September 2012
  #24
Lives for gear
 
gussyg2007's Avatar
 
🎧 10 years
10.6.8.... 9.1.7 are the magic numbers !
I am pumping them out 24/7
look at other os's when lp(x) 10 drops
Old 9th September 2012
  #25
Lives for gear
 
phas3d's Avatar
 
🎧 10 years
Using Komplete 8 with Logic 9.1.7 here. No sticking notes here either.
Old 9th September 2012 | Show parent
  #26
Lives for gear
 
gussyg2007's Avatar
 
🎧 10 years
Quote:
Originally Posted by phas3d ➑️
Using Komplete 8 with Logic 9.1.7 here. No sticking notes here either.
yeah that kinda thing will be golden ....but if you have old stuff you are still using or need to recall .......
Old 9th September 2012
  #27
Lives for gear
 
1 Review written
🎧 10 years
Quote:
Originally Posted by valis ➑️
Well I'm on Komplete 8 (been using Komplete since v3/4) and have no sticking notes issues in Logic, or in fact any issues really. Battery3 is starting to get a tad long in the tooth but I have no specific showstopping bugs I'm aware of, just some minor issues that relate as much to its workflow as anything else. I use Reaktor, Kontakt, FM8 and Massive in most of my projects and the only real "Logic" issue I have now that everything is 64bit is related to the core loading when switching into & out of "Live mode" for a NI hosted track.
64 bit komplete+64 cubase= heaven.

Are you saying since logic 4 you never had issues with NI?

I stop using komplete with logic 2 years ago,but there have been several up dates since then,maybe things are better?

I'll load the song I had major sticking notes with right now.

I'll keep you guys posted,not that it matters,since you guys have no issues at all

BTW,I didn't come hear to talk about my favorite(which is actually logic).I just use the one that works the best.

That's why I'm rooting for apple and logic x.

I think ill float over to 10.7 soon,I suppose it will more support in 10.7 vs 10.6.

Hey I don't even use those so called motif sounds from halion sonic se,I'm very picky about certain things.

Good thing logic vi's still sound great!

How could vintage 808's and synths ever get out dated?they're vintage lol.

Some people say logic samples are stalenever!

If it weren't for complete,I probably would never use cubase(though I track well and mix very well on it.


Sent from my PC36100
Old 9th September 2012
  #28
Lives for gear
 
1 Review written
🎧 10 years
Can't find lion on app store,but mountain lion is $20.I verified that my 08' imac is 10.8 compatible.

I'll just go with ML,and cross my fingeres.

My machine only holds up to 4 gigs of RAM:(.

Sent from my PC36100
Old 10th September 2012
  #29
Lives for gear
 
phas3d's Avatar
 
🎧 10 years
10.8 is not at point for pro audio work IMHO. There have been reports from lots of people with issues with it. If its 10.6.8 that you have I would stick it for a while.
Old 10th September 2012
  #30
Lives for gear
 
🎧 10 years
10.6.8. Very happy!
πŸ“ Reply

Similar Threads

Thread / Thread Starter Replies / Views Last Post
replies: 4616 views: 615068
Avatar for smoke
smoke 7th May 2021
replies: 98 views: 39040
Avatar for dfghdhr
dfghdhr 5th June 2021
replies: 50 views: 45739
Avatar for Eat
Eat 15th March 2013
replies: 1156 views: 196469
Avatar for Al Yeska
Al Yeska 2nd December 2019
Post Reply

Welcome to the Gearspace Pro Audio Community!

Registration benefits include:
  • The ability to reply to and create new discussions
  • Access to members-only giveaways & competitions
  • Interact with VIP industry experts in our guest Q&As
  • Access to members-only sub forum discussions
  • Access to members-only Chat Room
  • Get INSTANT ACCESS to the world's best private pro audio Classifieds for only USD $20/year
  • Promote your eBay auctions and Reverb.com listings for free
  • Remove this message!
You need an account to post a reply. Create a username and password below and an account will be created and your post entered.


 
 
Slide to join now Processing…

Forum Jump
Forum Jump